Skip to main content
GET
/
intent
Get all payment intents
curl --request GET \
  --url https://api.gnosisramp.io/v1/intent \
  --header 'Authorization: Bearer <token>'
[
  {
    "intent": {
      "id": "intent_123",
      "src": {
        "id": "<string>",
        "type": "BANK_ACCOUNT",
        "label": "<string>",
        "metadata": {},
        "currency": {
          "ticker": "USDC",
          "name": "USD Coin",
          "code": "USDC_GNO",
          "type": "FIAT"
        }
      },
      "dest": {
        "id": "<string>",
        "type": "BANK_ACCOUNT",
        "label": "<string>",
        "metadata": {},
        "currency": {
          "ticker": "USDC",
          "name": "USD Coin",
          "code": "USDC_GNO",
          "type": "FIAT"
        }
      },
      "status": "PENDING",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "updatedAt": "2024-01-01T00:00:00.000Z",
      "currentRequirementCode": "KYC_VERIFICATION",
      "expiredAt": "2024-12-31T23:59:59.000Z",
      "transferAmount": {
        "amount": "100.50",
        "currencyCode": "USD"
      },
      "type": "ONRAMP",
      "provider": "BANXA",
      "onboardingRedirectUrl": "<string>",
      "checkoutRedirectUrl": "<string>",
      "autoExecute": true
    },
    "onboardingUrl": "https://app.gnosisramp.com/intent/intent_123",
    "transaction": {
      "id": "txn_123",
      "intentId": "intent_123",
      "status": "PENDING",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "updatedAt": "2024-01-01T00:00:00.000Z",
      "providerReference": "noah_txn_abc123",
      "lastActivityAt": "2024-01-01T00:00:00.000Z",
      "context": {}
    }
  }
]

Authorizations

Authorization
string
header
required

GnosisRamp JWT bearer token for authenticated customer requests

Response

List of intents retrieved successfully

intent
object
required
onboardingUrl
string<uri> | null

URL for the hosted onboarding/compliance frontend

Example:

"https://app.gnosisramp.com/intent/intent_123"

transaction
object

Money movement transaction if available